<section id="slideover-container" class="w-full h-full z-20 fixed inset-0 {{ $fixed ? '': 'invisible' }}">
    <div onclick="{{ $fixed ? $closeAction : 'toggleSlideover()' }}" id="slideover-bg" class="w-full h-full duration-500 ease-out transition-all inset-0 absolute bg-gray-900 {{ $fixed ? 'opacity-50': 'opacity-0' }}"></div>
    <div id="slideover" class="w-2/5 bg-white h-full absolute right-0 duration-300 ease-out transition-all {{ $fixed ? '': 'translate-x-full' }}">
        <div onclick="{{ $fixed ? $closeAction : 'toggleSlideover()' }}" class="absolute cursor-pointer text-gray-600 top-0 w-8 h-8 flex items-center justify-center right-0 mt-5 mr-5">
            <i class="fa-solid fa-xmark"></i>
        </div>
        <div class="slideover-header bg-gray-100 p-8">
            <h1 class="text-xl font-bold mb-4">{{ $title }}</h1>
            <p class="italic text-gray-600 leading-5">{{ $subtitle }}</p>
        </div>
        <div class="slideover-body overflow-auto max-h-full">
            {{ $slot }}
        </div>
    </div>
</section>
