<?php if($messages): ?>
    <section class="messages flex-col gap-2 fixed top-4 right-4 z-50">
        <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $icon = $message->type->badge()->icon;
                $color = $message->type->badge()->color;
                $index = $loop->index;
            ?>
            <div id="message-<?php echo e($index); ?>" class="flex items-center w-full max-w-xs p-4 mb-4 text-gray-900 bg-white rounded-lg shadow-md" role="alert">
                <div class="inline-flex items-center justify-center flex-shrink-0 w-8 h-8 text-<?php echo e($color); ?>-900 bg-<?php echo e($color); ?>-200 rounded-lg">
                    <i class="fa-solid fa-<?php echo e($icon); ?>"></i>
                    <span class="sr-only">Message type icon</span>
                </div>
                <div class="ml-3 text-sm font-normal"><?php echo e($message->body); ?></div>
                <button type="button" class="ml-auto -mx-1.5 -my-1.5 bg-white text-gray-400 hover:text-gray-900 rounded-lg focus:ring-2 focus:ring-gray-300 p-1.5 hover:bg-gray-100 inline-flex items-center justify-center h-8 w-8 " onclick="closeMessage('#message-<?php echo e($index); ?>')" aria-label="Close">
                    <span class="sr-only">Close</span>
                    <i class="fa-solid fa-xmark"></i>
                </button>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </section>
<?php endif; ?>
<?php /**PATH /var/www/html/resources/views/components/messages.blade.php ENDPATH**/ ?>