<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>OfficePlus | <?php echo $__env->yieldContent('title'); ?></title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />

        <!-- Favicon -->
        <link rel="icon" type="image/x-icon" href="/favicon.ico" />

        <!-- Font Awesome -->
        <script src="https://kit.fontawesome.com/91da3ec797.js" crossorigin="anonymous"></script>

        <!-- Vite Resources -->
        <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>

        <script lang="javascript">
            const closeMessage = (id) => document.querySelector(id)?.remove();
        </script>

        <?php echo $__env->yieldContent('head'); ?>
    </head>

    <body class="antialiased">
        <?php if(session('messages')): ?>
            <?php if (isset($component)) { $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84 = $component; } ?>
<?php $component = App\View\Components\Messages::resolve(['messages' => session('messages')] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('messages'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Messages::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84)): ?>
<?php $component = $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84; ?>
<?php unset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84); ?>
<?php endif; ?>
        <?php endif; ?>

        <?php echo $__env->yieldContent('body'); ?>

        <?php echo $__env->yieldContent('events'); ?>
    </body>
</html>
<?php /**PATH /var/www/html/resources/views/layouts/app.blade.php ENDPATH**/ ?>