<?php if (isset($component)) { $__componentOriginal9f7656e55fcaa4534bc891f065ed3408 = $component; } ?>
<?php $component = App\View\Components\Base::resolve(['title' => 'Locations','current' => 'locations'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('base'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Base::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php if(isset($messages)): ?>
        <?php if (isset($component)) { $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84 = $component; } ?>
<?php $component = App\View\Components\Messages::resolve(['messages' => $messages] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('messages'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Messages::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84)): ?>
<?php $component = $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84; ?>
<?php unset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84); ?>
<?php endif; ?>
    <?php endif; ?>
    <section class="h-full w-full">
        <div class="w-full px-4">
            <div class="py-4">
                <div class="px-4 py-4 overflow-x-auto">
                    <div class="inline-block min-w-full shadow-md rounded-lg overflow-hidden">
                        <table class="min-w-full leading-normal">
                            <thead>
                                <tr>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Title / Address
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Type / Co-ordinates
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        State
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Rates
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Active
                                    </th>
                                    <th class="px-5 py-3 border-b-2 border-gray-200 bg-red-200"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <div class="flex">
                                                <div class="flex-shrink-0 w-10 h-10">
                                                    <img class="w-full h-full rounded-full"
                                                        src="<?php echo e($location->image ? asset('products/'.$location->image) : asset('products/location_placeholder.png')); ?>"
                                                        alt="" />
                                                </div>
                                                <div class="ml-3">
                                                    <p class="text-gray-900 whitespace-no-wrap">
                                                        <?php echo e($location->title); ?>

                                                    </p>
                                                    <p class="text-gray-600 whitespace-no-wrap"><?php echo e($location->address); ?></p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white texCt-sm">
                                            <?php
                                                $typeBadge = $location->type->badge();
                                            ?>
                                            <p class="my-1 text-gray-900 whitespace-no-wrap">
                                                <span class="text-[0.8em] font-semibold px-3 py-[6px] rounded-full bg-<?php echo e($typeBadge->color); ?>-200 text-<?php echo e($typeBadge->color); ?>-600 capitalize">
                                                    <i class="fa-solid fa-<?php echo e($typeBadge->icon); ?> mr-1"></i>
                                                    <span class="inline-block lowercase first-letter:uppercase"><?php echo e($location->type); ?></span>
                                                </span>
                                            </p>
                                            <p class="text-[0.8em] ml-[4px] italic text-gray-400 whitespace-no-wrap">
                                                <?php echo e($location->latitude); ?>, <?php echo e($location->longitude); ?>

                                            </p>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <?php
                                                $stateBadge = $location->state->badge();
                                            ?>
                                            <p class="text-gray-900 whitespace-no-wrap">
                                                <span class="text-[0.8em] font-semibold px-3 py-[6px] rounded-full bg-<?php echo e($stateBadge->color); ?>-200 text-<?php echo e($stateBadge->color); ?>-600 capitalize">
                                                    <?php echo e($location->state); ?>

                                                </span>
                                            </p>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <?php if($location->rate_hourly): ?>
                                                <p class="text-gray-900 whitespace-no-wrap">
                                                    <small class="font-semibold">Rp.</small> <?php echo e($location->rate_hourly); ?> <span class="text-gray-400 italic">/ per hour</span>
                                                </p>
                                            <?php endif; ?>

                                            <?php if($location->rate_daily): ?>
                                            <p class="text-gray-900 whitespace-no-wrap">
                                                <small class="font-semibold">Rp.</small> <?php echo e($location->rate_daily); ?> <span class="text-gray-400 italic">/ per day</span>
                                            </p>
                                            <?php endif; ?>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <label class="relative inline-flex items-center cursor-pointer">
                                                <input type="checkbox" class="sr-only peer" <?php echo e($location->active ? 'checked': ''); ?> onchange="location.href='/locations/<?php echo e($location->id); ?>/toggle-activation'">
                                                <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-green-300 dark:peer-focus:ring-green-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-green-600"></div>
                                            </label>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-right">
                                            <a href="/locations/<?php echo e($location->id); ?>/edit"
                                                class="inline-block <?php echo e($location->state->text() == 'OCCUPIED' ? 'pointer-events-none text-gray-400': 'text-gray-500 hover:text-gray-700'); ?>">
                                                <i class="fa-solid fa-pen"></i>
                                            </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr colspan="6">
                                    <p class="font-bold ml-[4px] text-gray-900 whitespace-no-wrap">
                                        No Invoices Generated
                                    </p>
                                </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="mt-4">
                        <?php echo e($locations->withQueryString()->links()); ?>

                    </div>
                </div>
            </div>
        </div>
        <?php if(empty($selectedLocation)): ?>
            <?php if (isset($component)) { $__componentOriginal206711805e3f5d5cace74cb220a832ab = $component; } ?>
<?php $component = App\View\Components\Slideover::resolve(['title' => 'Add new location','subtitle' => 'Please make sure to fill the details correctly before submitting, as the submission are posted as products to the app.'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('slideover'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Slideover::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
                <form class="h-auto m-8 pb-36" method="POST" action="/locations" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="space-y-12">
                        <div class="border-b border-gray-900/10 pb-12">
                            <div class="mt-10 grid grid-cols-1 gap-x-6 gap-y-8 sm:grid-cols-6">
                                <div class="sm:col-span-full">
                                    <label for="title"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Title</label>
                                    <div class="mt-2">
                                        <input type="text" name="title" id="title"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                            required>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="description"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Description</label>
                                    <p class="mt-3 text-sm leading-6 text-gray-600">Write a few details about the location.</p>
                                    <div class="mt-2">
                                        <textarea id="description" name="description" rows="3"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"></textarea>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="cover-photo"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Location Picture</label>
                                    <div
                                        class="mt-2 flex justify-center rounded-xl p-4 border border-dashed border-gray-900/25 px-6 py-10">
                                        <div class="text-center">
                                            <h1 class="text-2xl text-gray-500"><i class="fa-solid fa-camera-retro"></i></h1>
                                            <div class="mt-4 flex text-sm leading-6 text-gray-600">
                                                <label for="image"
                                                    class="relative cursor-pointer rounded-xl bg-white font-semibold text-red-300 focus-within:outline-none hover:text-red-400">
                                                    <span>Upload a file</span>
                                                    <input id="image" name="image" type="file" class="sr-only">
                                                </label>
                                                <p class="pl-1">or drag and drop</p>
                                            </div>
                                            <p class="text-xs leading-5 text-gray-600">PNG, JPG up to 5MB</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="sm:col-span-3">
                                    <label for="type" class="block text-sm font-semibold leading-6 text-gray-900">Type of
                                        Location</label>
                                    <div class="mt-2">
                                        <select id="type" name="type"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:max-w-xs sm:text-sm sm:leading-6"
                                            onchange="toggleRateFields(event)"
                                            required>
                                            <option value="-1" selected>Select a type</option>
                                            <option value="DESK">Desk</option>
                                            <option value="STORAGE">Storage</option>
                                            <option value="ROOM">Room</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Geographical Information</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Please give the permanent address of the
                                location.</p>

                            <div class="col-span-full mt-4">
                                <label for="address" class="block text-sm font-semibold leading-6 text-gray-900">Street
                                    address</label>
                                <div class="mt-2">
                                    <input type="text" name="address" id="address"
                                        class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                        required>
                                </div>
                            </div>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                <div class="flex-1">
                                    <label for="latitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Latitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="latitude" id="latitude"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6" placeholder="1.008802">
                                    </div>
                                </div>

                                <div class="flex-1">
                                    <label for="longitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Longitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="longitude" id="longitude"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"  placeholder="-0.002002">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Pricing</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Let us set the pricing for the location which will
                                be set in terms of hourly or daily usage. <br><i>All the rates will be in Rupiyah (Rp).</i></p>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                <div id="hourly" class="flex-1">
                                    <label for="rate_hourly" class="block text-sm font-semibold leading-6 text-gray-900">Hourly
                                        Rate</label>
                                    <div class="mt-2">
                                        <div
                                            class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                            <span
                                                class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                            <input type="number" name="rate_hourly" id="rate_hourly"
                                                class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="10000">
                                        </div>
                                    </div>
                                </div>
                                <div id="daily" class="flex-1">
                                    <label for="rate_daily" class="block text-sm font-semibold leading-6 text-gray-900">Daily
                                        Rate</label>
                                    <div class="mt-2">
                                        <div
                                            class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                            <span
                                                class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                            <input type="number" name="rate_daily" id="rate_daily"
                                                class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="200000">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-6 flex items-center justify-start gap-x-6">
                        <button type="submit"
                            class="rounded-xl px-8 py-4 bg-red-400 text-sm font-semibold text-white shadow-sm hover:bg-gray-950 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-red-400">Save</button>

                        <button type="reset" onclick="toggleSlideover()" class="text-sm font-semibold leading-6 text-gray-900">Cancel</button>
                    </div>
                </form>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal206711805e3f5d5cace74cb220a832ab)): ?>
<?php $component = $__componentOriginal206711805e3f5d5cace74cb220a832ab; ?>
<?php unset($__componentOriginal206711805e3f5d5cace74cb220a832ab); ?>
<?php endif; ?>
            <?php if (isset($component)) { $__componentOriginalc542029279004be37fe0828d70d41519 = $component; } ?>
<?php $component = App\View\Components\Fab::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('fab'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Fab::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc542029279004be37fe0828d70d41519)): ?>
<?php $component = $__componentOriginalc542029279004be37fe0828d70d41519; ?>
<?php unset($__componentOriginalc542029279004be37fe0828d70d41519); ?>
<?php endif; ?>
        <?php endif; ?>
        <?php if(isset($selectedLocation)): ?>
            <?php if (isset($component)) { $__componentOriginal206711805e3f5d5cace74cb220a832ab = $component; } ?>
<?php $component = App\View\Components\Slideover::resolve(['title' => 'Edit location','fixed' => true,'closeAction' => 'location.href=\'/locations\'','subtitle' => 'Please make sure to fill the details correctly before updating entries.'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('slideover'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Slideover::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
                <form class="h-auto m-8 pb-36" action="/locations/<?php echo e($selectedLocation->id); ?>/update" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <div class="space-y-12">
                        <div class="border-b border-gray-900/10 pb-12">
                            <div class="mt-10 grid grid-cols-1 gap-x-6 gap-y-8 sm:grid-cols-6">
                                <div class="sm:col-span-full">
                                    <label for="title"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Title</label>
                                    <div class="mt-2">
                                        <input type="text" name="title" id="title" value="<?php echo e($selectedLocation->title); ?>"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                            required>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="description"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Description</label>
                                    <p class="mt-3 text-sm leading-6 text-gray-600">Write a few details about the location.</p>
                                    <div class="mt-2">
                                        <textarea id="description" name="description" rows="3"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"><?php echo e($selectedLocation->description); ?></textarea>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="cover-photo"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Location Picture</label>
                                    <div
                                        class="mt-2 flex justify-center rounded-xl p-4 border border-dashed border-gray-900/25 px-6 py-10">
                                        <div class="text-center">
                                            <h1 class="text-2xl text-gray-500"><i class="fa-solid fa-camera-retro"></i></h1>
                                            <div class="mt-4 flex text-sm leading-6 text-gray-600">
                                                <label for="image"
                                                    class="relative cursor-pointer rounded-xl bg-white font-semibold text-red-300 focus-within:outline-none hover:text-red-400">
                                                    <span>Upload a file</span>
                                                    <input id="image" name="image" type="file" class="sr-only">
                                                </label>
                                                <p class="pl-1">or drag and drop</p>
                                            </div>
                                            <p class="text-xs leading-5 text-gray-600">PNG, JPG up to 5MB</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Geographical Information</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Please give the permanent address of the
                                location.</p>

                            <div class="col-span-full mt-4">
                                <label for="address" class="block text-sm font-semibold leading-6 text-gray-900">Street
                                    address</label>
                                <div class="mt-2">
                                    <input type="text" name="address" id="address" value="<?php echo e($selectedLocation->address); ?>"
                                        class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                        required>
                                </div>
                            </div>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                <div class="flex-1">
                                    <label for="latitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Latitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="latitude" id="latitude" value="<?php echo e($selectedLocation->latitude); ?>"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6" placeholder="1.008802">
                                    </div>
                                </div>

                                <div class="flex-1">
                                    <label for="longitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Longitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="longitude" id="longitude" value="<?php echo e($selectedLocation->longitude); ?>"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"  placeholder="-0.002002">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Pricing</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Let us set the pricing for the location which will
                                be set in terms of hourly or daily usage. <br><br><i>All the rates will be in Rupiyah (Rp).</i></p>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                <?php if($selectedLocation->rate_hourly): ?>
                                    <div id="hourly" class="flex-1">
                                        <label for="rate_hourly" class="block text-sm font-semibold leading-6 text-gray-900">Hourly
                                            Rate</label>
                                        <div class="mt-2">
                                            <div
                                                class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                                <span
                                                    class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                                <input type="number" name="rate_hourly" id="rate_hourly" value="<?php echo e($selectedLocation->rate_hourly); ?>"
                                                    class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="10000">
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div id="daily" class="flex-1">
                                    <label for="rate_daily" class="block text-sm font-semibold leading-6 text-gray-900">Daily
                                        Rate</label>
                                    <div class="mt-2">
                                        <div
                                            class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                            <span
                                                class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                            <input type="number" name="rate_daily" id="rate_daily" value="<?php echo e($selectedLocation->rate_daily); ?>"
                                                class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="200000">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-6 flex items-center justify-start gap-x-6">
                        <button type="submit"
                            class="rounded-xl px-8 py-4 bg-red-400 text-sm font-semibold text-white shadow-sm hover:bg-gray-950 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-red-400">Update</button>

                        <button type="button" onclick="location.href='/locations'" class="text-sm font-semibold leading-6 text-gray-900">Cancel</button>
                    </div>
                </form>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal206711805e3f5d5cace74cb220a832ab)): ?>
<?php $component = $__componentOriginal206711805e3f5d5cace74cb220a832ab; ?>
<?php unset($__componentOriginal206711805e3f5d5cace74cb220a832ab); ?>
<?php endif; ?>
        <?php endif; ?>
    </section>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9f7656e55fcaa4534bc891f065ed3408)): ?>
<?php $component = $__componentOriginal9f7656e55fcaa4534bc891f065ed3408; ?>
<?php unset($__componentOriginal9f7656e55fcaa4534bc891f065ed3408); ?>
<?php endif; ?>
<?php /**PATH /var/www/html/resources/views/pages/location.blade.php ENDPATH**/ ?>