<?php
    use App\Models\UserType;
?>

<?php if (isset($component)) { $__componentOriginal9f7656e55fcaa4534bc891f065ed3408 = $component; } ?>
<?php $component = App\View\Components\Base::resolve(['title' => 'Users','current' => 'users'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('base'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Base::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php if(isset($messages)): ?>
        <?php if (isset($component)) { $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84 = $component; } ?>
<?php $component = App\View\Components\Messages::resolve(['messages' => $messages] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('messages'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Messages::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84)): ?>
<?php $component = $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84; ?>
<?php unset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84); ?>
<?php endif; ?>
    <?php endif; ?>
    <section class="h-full w-full">
        <div class="w-full px-4">
            <div class="py-4">
                <div class="px-4 py-4 overflow-x-auto">
                    <div class="inline-block min-w-full shadow-md rounded-lg overflow-hidden">
                        <table class="min-w-full leading-normal">
                            <thead>
                                <tr>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Name / Phone Number
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Type / Email
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Date Joined
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Active
                                    </th>
                                    <th class="px-5 py-3 border-b-2 border-gray-200 bg-red-200"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <div class="flex">
                                                <div class="flex-shrink-0 w-10 h-10">
                                                    <img class="w-full h-full rounded-full"
                                                        src="<?php echo e($user->profile ? asset('avatars/'.$user->profile) : asset('avatars/profile_placeholder.png')); ?>"
                                                        alt="" />
                                                </div>
                                                <div class="ml-3">
                                                    <p class="text-gray-900 whitespace-no-wrap">
                                                        <?php echo e($user->name); ?>

                                                    </p>
                                                    <p class="text-gray-600 whitespace-no-wrap"><?php echo e($user->phone); ?></p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <?php
                                                $badge = $user->type->badge();
                                            ?>
                                            <p class="my-1 text-gray-900 whitespace-no-wrap">
                                                <span class="text-[0.8em] font-semibold px-3 py-[6px] rounded-full bg-<?php echo e($badge->color); ?>-200 text-<?php echo e($badge->color); ?>-600 capitalize">
                                                    <i class="fa-solid fa-<?php echo e($badge->icon); ?> mr-1"></i>
                                                    <span class="inline-block lowercase first-letter:uppercase"><?php echo e($user->type); ?></span>
                                                </span>
                                            </p>
                                            <p class="text-[0.8em] ml-[4px] italic text-gray-400 whitespace-no-wrap">
                                                <?php echo e($user->email); ?></p>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <?php
                                                $interval = $user->created_at->diff(new DateTime('now'));
                                            ?>
                                            <p class="text-gray-900 whitespace-no-wrap">
                                                <?php echo e(date('M d, Y', strtotime($user->created_at))); ?></p>
                                            <p class="text-gray-600 whitespace-no-wrap"><?php echo e($interval->d); ?> days ago</p>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <label class="relative inline-flex items-center cursor-pointer">
                                                <input type="checkbox" class="sr-only peer" <?php echo e($user->active ? 'checked': ''); ?> onchange="location.href='/users/<?php echo e($user->id); ?>/toggle-activation'">
                                                <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-green-300 dark:peer-focus:ring-green-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-green-600"></div>
                                            </label>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-right">
                                            <a href="/users/<?php echo e($user->id); ?>/edit"
                                                class="inline-block <?php echo e($user->type->text() == 'ADMIN' ? 'pointer-events-none text-gray-400': 'text-gray-500 hover:text-gray-700'); ?>">
                                                <i class="fa-solid fa-pen"></i>
                                            </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="5">
                                        <p class="text-center italic text-gray-400 whitespace-no-wrap p-4 bg-white">
                                            No Results
                                        </p>
                                    </td>
                                </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="mt-4">
                        <?php echo e($users->withQueryString()->links()); ?>

                    </div>
                </div>
            </div>
        </div>
        <?php if(empty($selectedUser)): ?>
            <?php if (isset($component)) { $__componentOriginal206711805e3f5d5cace74cb220a832ab = $component; } ?>
<?php $component = App\View\Components\Slideover::resolve(['title' => 'Add Admin User','subtitle' => 'Please make sure to choose the type carefully as this affects which system resources the person gets access to.'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('slideover'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Slideover::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
                <form class="h-auto m-8 pb-36" action="/users" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="space-y-12">
                        <div class="border-b border-gray-900/10 pb-12">
                            <div class="mt-10 grid grid-cols-1 gap-x-6 gap-y-8 sm:grid-cols-6">
                                <div class="sm:col-span-full">
                                    <label for="title"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Name</label>
                                    <div class="mt-2">
                                        <input type="text" id="name"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-6 flex items-center justify-start gap-x-6">
                        <button type="submit"
                            class="rounded-xl px-8 py-4 bg-red-400 text-sm font-semibold text-white shadow-sm hover:bg-gray-950 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-red-400">Update</button>

                        <button type="button" onclick="location.href='/users'" class="text-sm font-semibold leading-6 text-gray-900">Cancel</button>
                    </div>
                </form>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal206711805e3f5d5cace74cb220a832ab)): ?>
<?php $component = $__componentOriginal206711805e3f5d5cace74cb220a832ab; ?>
<?php unset($__componentOriginal206711805e3f5d5cace74cb220a832ab); ?>
<?php endif; ?>
            <?php if (isset($component)) { $__componentOriginalc542029279004be37fe0828d70d41519 = $component; } ?>
<?php $component = App\View\Components\Fab::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('fab'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Fab::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc542029279004be37fe0828d70d41519)): ?>
<?php $component = $__componentOriginalc542029279004be37fe0828d70d41519; ?>
<?php unset($__componentOriginalc542029279004be37fe0828d70d41519); ?>
<?php endif; ?>
        <?php endif; ?>
        <?php if(isset($selectedUser)): ?>
            <?php if (isset($component)) { $__componentOriginal206711805e3f5d5cace74cb220a832ab = $component; } ?>
<?php $component = App\View\Components\Slideover::resolve(['title' => 'Edit User','fixed' => true,'closeAction' => 'location.href=\'/users\'','subtitle' => 'Please make sure to choose the type carefully as this affects which system resources the person gets access to.'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('slideover'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Slideover::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
                <form class="h-auto m-8 pb-36" action="/users/<?php echo e($selectedUser->id); ?>/update" method="POST">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <div class="space-y-12">
                        <div class="border-b border-gray-900/10 pb-12">
                            <div class="mt-10 grid grid-cols-1 gap-x-6 gap-y-8 sm:grid-cols-6">
                                <div class="sm:col-span-full">
                                    <label for="title"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Name</label>
                                    <div class="mt-2">
                                        <input type="text" id="name" value="<?php echo e($selectedUser->name); ?>"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                            disabled readonly>
                                    </div>
                                </div>

                                <div class="sm:col-span-3">
                                    <label for="type" class="block text-sm font-semibold leading-6 text-gray-900">Membership Type</label>
                                    <div class="mt-2">
                                        <select id="type" name="type"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:max-w-xs sm:text-sm sm:leading-6"
                                            onchange="toggleRateFields(event)"
                                            required>
                                            <option value="MEMBER" <?php echo e($selectedUser->type->text() == "MEMBER" ? 'selected': ''); ?>>Member</option>
                                            <option value="STAFF" <?php echo e($selectedUser->type->text() == "STAFF" ? 'selected': ''); ?>>Staff</option>
                                            <option value="ADMIN" <?php echo e($selectedUser->type->text() == "ADMIN" ? 'selected': ''); ?>>Admin</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-6 flex items-center justify-start gap-x-6">
                        <button type="submit"
                            class="rounded-xl px-8 py-4 bg-red-400 text-sm font-semibold text-white shadow-sm hover:bg-gray-950 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-red-400">Update</button>

                        <button type="button" onclick="location.href='/users'" class="text-sm font-semibold leading-6 text-gray-900">Cancel</button>
                    </div>
                </form>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal206711805e3f5d5cace74cb220a832ab)): ?>
<?php $component = $__componentOriginal206711805e3f5d5cace74cb220a832ab; ?>
<?php unset($__componentOriginal206711805e3f5d5cace74cb220a832ab); ?>
<?php endif; ?>
        <?php endif; ?>
    </section>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9f7656e55fcaa4534bc891f065ed3408)): ?>
<?php $component = $__componentOriginal9f7656e55fcaa4534bc891f065ed3408; ?>
<?php unset($__componentOriginal9f7656e55fcaa4534bc891f065ed3408); ?>
<?php endif; ?>
<?php /**PATH /var/www/html/resources/views/pages/user.blade.php ENDPATH**/ ?>