<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>OfficePlus | Test</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />

        <!-- Favicon -->
        <link rel="icon" type="image/x-icon" href="/favicon.ico" />

        <!-- Font Awesome -->
        <script src="https://kit.fontawesome.com/91da3ec797.js" crossorigin="anonymous"></script>

        <!-- Vite Resources -->
        <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>

        <?php echo $__env->yieldContent('head'); ?>
    </head>

    <body class="antialiased">
        <?php echo e($requestUrl); ?>

    </body>
</html>
<?php /**PATH /var/www/html/resources/views/pages/test.blade.php ENDPATH**/ ?>