<?php

namespace App\Http\Controllers;

use App\Models\Transaction;
use Illuminate\Http\Request;

class TransactionController extends Controller
{
    public function list(array $extras = []) {
        $transactions = Transaction::orderBy('created_at', 'desc')->paginate(10);
        return view('pages.transaction', array_merge(['transactions' => $transactions], $extras));
    }

    public function index() {
        return $this->list([]);
    }

    public function store(Request $request) {
        //
    }
}
