<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Tabitem extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public string $link,
        public string $icon,
        public string $text,
        public bool $active
    ){}

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.tabitem');
    }
}
