<section class="sidebar h-full flex flex-col justify-between">
    <div class="sidebar-top">
        <div class="sidebar-header px-8 mt-8 mb-24">
            <img class="w-8/12" src="{{ Vite::asset('resources/img/logo.svg') }}" alt="OfficePlus">
        </div>
        <div class="sidebar-tabs">
            @foreach ($tabs as $tab)
                <x-tabitem :link="$tab->link" :icon="$tab->icon" :text="$tab->text" :active="$tab->active" />
            @endforeach
        </div>
    </div>
    <div class="sidebar-bottom my-8">
        <x-tabitem link="{{ route('logout') }}" icon="door-open" text="Logout" :active="false" />
    </div>
</section>
