<?php if (isset($component)) { $__componentOriginal9f7656e55fcaa4534bc891f065ed3408 = $component; } ?>
<?php $component = App\View\Components\Base::resolve(['title' => 'Home','current' => 'home'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('base'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Base::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <?php if(isset($messages)): ?>
        <?php if (isset($component)) { $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84 = $component; } ?>
<?php $component = App\View\Components\Messages::resolve(['messages' => $messages] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('messages'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Messages::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84)): ?>
<?php $component = $__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84; ?>
<?php unset($__componentOriginal59ceffc4ca75cc6ef0be8b756dbe6a84); ?>
<?php endif; ?>
    <?php endif; ?>
    <section class="h-full w-full">
        <div class="w-full px-4 py-4 mt-4">
            <div class="px-4 py-4 overflow-x-auto">
                <div class="flex items-center">
                    <div class="w-fit bg-white p-4 rounded-2xl shadow-md">
                        <img src="<?php echo e(Vite::asset('resources/img/icon.png')); ?>" alt="OfficePlus" class="w-20 h-20">
                    </div>
                    <div class="h-full flex flex-col justify-center pl-4">
                        <h1 class="text-4xl font-bold ml-2">Hi,</h1>
                        <h3 class="text-lg font-semibold ml-2"><?php echo e(Auth::user()->name); ?></h3>
                        <p class="text-sm rounded-full px-3 py-1 font-semibold bg-red-200 text-red-900 mt-2"><?php echo e(Auth::user()->phone); ?></p>
                    </div>
                </div>
            </div>
        </div>
        <section class="stats">
            <div class="max-w-full mx-4 py-6 sm:mx-auto sm:px-6 lg:px-8">
                <div class="section-heading">
                    <h2 class="text-4xl font-extrabold mb-2">Stats at a glance</h2>
                    <p class="text-lg text-gray-500">Here are some basic information to summarize the state of the deployment. Information will be updated on reload.</p>
                </div>
                <div class="sm:flex sm:space-x-4">
                    <?php $__currentLoopData = $stats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="inline-block align-bottom bg-white rounded-2xl text-left overflow-hidden shadow transform transition-all mb-4 w-full sm:w-1/3 sm:my-8">
                            <div class="bg-white p-5">
                                <div class="sm:flex sm:items-start">
                                    <div class="w-16 h-16 rounded-2xl flex justify-center items-center aspect-square bg-<?php echo e($stat['color']); ?>-200 text-<?php echo e($stat['color']); ?>-900 p-4 mr-4">
                                        <i class="fa-solid fa-<?php echo e($stat['icon']); ?>"></i>
                                    </div>
                                    <div class="text-center sm:mt-0 sm:ml-2 sm:text-left">
                                        <h3 class="text-sm leading-6 font-medium text-gray-400"><?php echo e($stat['title']); ?></h3>
                                        <p class="text-3xl font-bold text-black"><?php echo e($stat['value']); ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
    </section>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9f7656e55fcaa4534bc891f065ed3408)): ?>
<?php $component = $__componentOriginal9f7656e55fcaa4534bc891f065ed3408; ?>
<?php unset($__componentOriginal9f7656e55fcaa4534bc891f065ed3408); ?>
<?php endif; ?>
<?php /**PATH /var/www/html/resources/views/pages/home.blade.php ENDPATH**/ ?>